Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class InstanceTime

    java.lang.Object
      org.apache.batik.anim.timing.InstanceTime

All Implemented Interfaces:
  Comparable

    public class InstanceTime

extends Object
implements Comparable

A class that represents an instance time created from a timing specification.

Field Summary
`protected boolean` | `clearOnReset` Whether this InstanceTime should be removed from an element's begin or end instance time lists upon reset.
`protected TimingSpecifier` | `creator` The `TimingSpecifier` that created this InstanceTime.
`protected float` | `time` The time.

Constructor Summary
`InstanceTime(TimingSpecifier creator, float time, boolean clearOnReset)` Creates a new InstanceTime.

Method Summary
`int` | `compareTo(Object o)` Compares this InstanceTime with another.
`boolean` | `getClearOnReset()` Returns whether the InstanceTime should be removed from the element's begin or end instance time list when it is reset.
`float` | `getTime()` Returns the time of this instance time.
`String` | `toString()` Returns a string representation of this InstanceTime.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### time

    protected float time

  The time.

### creator

    protected TimingSpecifier creator

  The `TimingSpecifier` that created this InstanceTime.

### clearOnReset

    protected boolean clearOnReset

  Whether this InstanceTime should be removed from an element's begin or end instance time lists upon reset.

Constructor Detail

### InstanceTime

    public InstanceTime(TimingSpecifier creator,
                        float time,
                        boolean clearOnReset)

  Creates a new InstanceTime.

  Parameters:
    `creator` - the TimingSpecifier that created this InstanceTime
    `time` - the new time, in parent simple time
    `clearOnReset` - whether this InstanceTime should be removed from an instance time list upon element reset

Method Detail

### getClearOnReset

    public boolean getClearOnReset()

  Returns whether the InstanceTime should be removed from the element's begin or end instance time list when it is reset.

### getTime

    public float getTime()

  Returns the time of this instance time.

### toString

    public String toString()

  Returns a string representation of this InstanceTime.

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object o)

  Compares this InstanceTime with another.

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.